<!doctype html>
<html class="default no-js">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>WitnessProps | dblurt</title>
	<meta name="description" content="">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="../assets/css/main.css">
</head>
<body>
<header>
	<div class="tsd-page-toolbar">
		<div class="container">
			<div class="table-wrap">
				<div class="table-cell" id="tsd-search" data-index="../assets/js/search.js" data-base="..">
					<div class="field">
						<label for="tsd-search-field" class="tsd-widget search no-caption">Search</label>
						<input id="tsd-search-field" type="text" />
					</div>
					<ul class="results">
						<li class="state loading">Preparing search index...</li>
						<li class="state failure">The search index is not available</li>
					</ul>
					<a href="../index.html" class="title">dblurt</a>
				</div>
				<div class="table-cell" id="tsd-widgets">
					<div id="tsd-filter">
						<a href="#" class="tsd-widget options no-caption" data-toggle="options">Options</a>
						<div class="tsd-filter-group">
							<div class="tsd-select" id="tsd-filter-visibility">
								<span class="tsd-select-label">All</span>
								<ul class="tsd-select-list">
									<li data-value="public">Public</li>
									<li data-value="protected">Public/Protected</li>
									<li data-value="private" class="selected">All</li>
								</ul>
							</div>
							<input type="checkbox" id="tsd-filter-inherited" checked />
							<label class="tsd-widget" for="tsd-filter-inherited">Inherited</label>
							<input type="checkbox" id="tsd-filter-externals" checked />
							<label class="tsd-widget" for="tsd-filter-externals">Externals</label>
							<input type="checkbox" id="tsd-filter-only-exported" />
							<label class="tsd-widget" for="tsd-filter-only-exported">Only exported</label>
						</div>
					</div>
					<a href="#" class="tsd-widget menu no-caption" data-toggle="menu">Menu</a>
				</div>
			</div>
		</div>
	</div>
	<div class="tsd-page-title">
		<div class="container">
			<ul class="tsd-breadcrumb">
				<li>
					<a href="../globals.html">Globals</a>
				</li>
				<li>
					<a href="witnessprops.html">WitnessProps</a>
				</li>
			</ul>
			<h1>Interface WitnessProps</h1>
		</div>
	</div>
</header>
<div class="container container-main">
	<div class="row">
		<div class="col-8 col-content">
			<section class="tsd-panel tsd-hierarchy">
				<h3>Hierarchy</h3>
				<ul class="tsd-hierarchy">
					<li>
						<span class="target">WitnessProps</span>
					</li>
				</ul>
			</section>
			<section class="tsd-panel-group tsd-index-group">
				<h2>Index</h2>
				<section class="tsd-panel tsd-index-panel">
					<div class="tsd-index-content">
						<section class="tsd-index-section ">
							<h3>Properties</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="witnessprops.html#account_creation_fee" class="tsd-kind-icon">account_<wbr>creation_<wbr>fee</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="witnessprops.html#account_subsidy_budget" class="tsd-kind-icon">account_<wbr>subsidy_<wbr>budget</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="witnessprops.html#account_subsidy_decay" class="tsd-kind-icon">account_<wbr>subsidy_<wbr>decay</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="witnessprops.html#hbd_exchange_rate" class="tsd-kind-icon">hbd_<wbr>exchange_<wbr>rate</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="witnessprops.html#hbd_interest_rate" class="tsd-kind-icon">hbd_<wbr>interest_<wbr>rate</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="witnessprops.html#key" class="tsd-kind-icon">key</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="witnessprops.html#maximum_block_size" class="tsd-kind-icon">maximum_<wbr>block_<wbr>size</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="witnessprops.html#new_signing_key" class="tsd-kind-icon">new_<wbr>signing_<wbr>key</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="witnessprops.html#url" class="tsd-kind-icon">url</a></li>
							</ul>
						</section>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Properties</h2>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="account_creation_fee" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagOptional">Optional</span> account_<wbr>creation_<wbr>fee</h3>
					<div class="tsd-signature tsd-kind-icon">account_<wbr>creation_<wbr>fee<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">string</span><span class="tsd-signature-symbol"> | </span><a href="../classes/asset.html" class="tsd-signature-type">Asset</a></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in utils.ts:203</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="account_subsidy_budget" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagOptional">Optional</span> account_<wbr>subsidy_<wbr>budget</h3>
					<div class="tsd-signature tsd-kind-icon">account_<wbr>subsidy_<wbr>budget<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">undefined</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in utils.ts:204</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="account_subsidy_decay" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagOptional">Optional</span> account_<wbr>subsidy_<wbr>decay</h3>
					<div class="tsd-signature tsd-kind-icon">account_<wbr>subsidy_<wbr>decay<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">undefined</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in utils.ts:205</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="hbd_exchange_rate" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagOptional">Optional</span> hbd_<wbr>exchange_<wbr>rate</h3>
					<div class="tsd-signature tsd-kind-icon">hbd_<wbr>exchange_<wbr>rate<span class="tsd-signature-symbol">:</span> <a href="../globals.html#pricetype" class="tsd-signature-type">PriceType</a></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in utils.ts:209</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="hbd_interest_rate" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagOptional">Optional</span> hbd_<wbr>interest_<wbr>rate</h3>
					<div class="tsd-signature tsd-kind-icon">hbd_<wbr>interest_<wbr>rate<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">undefined</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in utils.ts:210</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="key" class="tsd-anchor"></a>
					<h3>key</h3>
					<div class="tsd-signature tsd-kind-icon">key<span class="tsd-signature-symbol">:</span> <a href="../classes/publickey.html" class="tsd-signature-type">PublicKey</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">string</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in utils.ts:206</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="maximum_block_size" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagOptional">Optional</span> maximum_<wbr>block_<wbr>size</h3>
					<div class="tsd-signature tsd-kind-icon">maximum_<wbr>block_<wbr>size<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">undefined</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in utils.ts:207</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="new_signing_key" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagOptional">Optional</span> new_<wbr>signing_<wbr>key</h3>
					<div class="tsd-signature tsd-kind-icon">new_<wbr>signing_<wbr>key<span class="tsd-signature-symbol">:</span> <a href="../classes/publickey.html" class="tsd-signature-type">PublicKey</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">null</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in utils.ts:208</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="url" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagOptional">Optional</span> url</h3>
					<div class="tsd-signature tsd-kind-icon">url<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">undefined</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">string</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in utils.ts:211</li>
						</ul>
					</aside>
				</section>
			</section>
		</div>
		<div class="col-4 col-menu menu-sticky-wrap menu-highlight">
			<nav class="tsd-navigation primary">
				<ul>
					<li class="globals  ">
						<a href="../globals.html"><em>Globals</em></a>
					</li>
				</ul>
			</nav>
			<nav class="tsd-navigation secondary menu-sticky">
				<ul class="before-current">
				</ul>
				<ul class="current">
					<li class="current tsd-kind-interface">
						<a href="witnessprops.html" class="tsd-kind-icon">Witness<wbr>Props</a>
						<ul>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="witnessprops.html#account_creation_fee" class="tsd-kind-icon">account_<wbr>creation_<wbr>fee</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="witnessprops.html#account_subsidy_budget" class="tsd-kind-icon">account_<wbr>subsidy_<wbr>budget</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="witnessprops.html#account_subsidy_decay" class="tsd-kind-icon">account_<wbr>subsidy_<wbr>decay</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="witnessprops.html#hbd_exchange_rate" class="tsd-kind-icon">hbd_<wbr>exchange_<wbr>rate</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="witnessprops.html#hbd_interest_rate" class="tsd-kind-icon">hbd_<wbr>interest_<wbr>rate</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="witnessprops.html#key" class="tsd-kind-icon">key</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="witnessprops.html#maximum_block_size" class="tsd-kind-icon">maximum_<wbr>block_<wbr>size</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="witnessprops.html#new_signing_key" class="tsd-kind-icon">new_<wbr>signing_<wbr>key</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="witnessprops.html#url" class="tsd-kind-icon">url</a>
							</li>
						</ul>
					</li>
				</ul>
				<ul class="after-current">
				</ul>
			</nav>
		</div>
	</div>
</div>
<footer class="with-border-bottom">
	<div class="container">
		<h2>Legend</h2>
		<div class="tsd-legend-group">
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class"><span class="tsd-kind-icon">Method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-interface"><span class="tsd-kind-icon">Property</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static method</span></li>
			</ul>
		</div>
	</div>
</footer>
<div class="container tsd-generator">
	<p>Generated using <a href="https://typedoc.org/" target="_blank">TypeDoc</a></p>
</div>
<div class="overlay"></div>
<script src="../assets/js/main.js"></script>
<script>if (location.protocol == 'file:') document.write('<script src="../assets/js/search.js"><' + '/script>');</script>
</body>
</html>